<?php
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	require('lib/lib.php');
	Inactividad();
}
?>
<script>
		Seccion(2, 1);
		setInterval('Seccion(2, 1)',1800000);

	function Seccion(Tipo, Opcion){
		$.ajax({
			type: 'POST',
			data: 'Seccion='+Tipo+'&Opcion='+Opcion,
			url: 'ProcCatalConsumos.php',
			success: function(response){
				if(response == "error1")
					$("#message").html("<p class='error'>Selecione que tipo de consulta desea realizar!</p>");
				else if(response == "error2")
					$("#message").html("<b><p class='error'>La seleccion de la consulta no es valida!</p></b>");
				else
				$('#Seccion'+Tipo).html(response);
			}
		});
	}
	
			function UsuarioWeb(UsuarioWebID) {
		Shadowbox.open({
			player: 'iframe',
			height: 511,
			width: 550,
			content: 'FotosConsumos.php?UsuarioWebID='+UsuarioWebID,
		}); 
		}
 
</script>
<script>
$(document).ready(function(){
	
	var inputTicket = $("#edtTicket");
	var reqTicket = $("#req-Ticket");
	var inputFechaIni = $("#edtFechaIni");
	var reqFechaIni = $("#req-FechaIni");
	var inputFechaFin = $("#edtFechaFin");
	var reqFechaFin = $("#req-FechaFin");
	
	
	
	$('#LoginButton a').click(function(){
		$('#LoginForm').slideDown('fast');
		$('#LoginButton').toggle();
		$('#hide_button').toggle();
	});
		
	$('#hide_button a').click(function(){
		$('#LoginForm').slideUp('fast');
		$('#LoginButton').toggle();
		$('#hide_button').toggle();
	});
	
	function validarTicket() {
		if($("[name=checkTicket]:checked").val() == 1){
			if(inputTicket.val() == ''){
				inputTicket.addClass('error2');
				reqTicket.addClass('error2');
				$("#req-Ticket").html('0-9, Escriba el No. de Ticket.');
				$("#req-TicketImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
			}
			else if(!inputTicket.val().match(/^[0-9]+$/)){
				inputTicket.addClass('error2');
				reqTicket.addClass('error2');
				$("#req-Ticket").html('0-9, Solo se aceptan números.');
				$("#req-TicketImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
			} else{
				inputTicket.removeClass('error2');
				reqTicket.removeClass('error2');
				$("#req-Ticket").html("");
				$("#req-TicketImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
				return true;
			}
		}		
		else 
			return false;
	}
	function validarFechaIni(){
		if($("[name = checkTicket]:checked").val() == 2){
			if(inputFechaIni.val() == ''){
				inputFechaIni.addClass('error2');
				reqFechaIni.addClass('error2');
				$("#req-FechaIni").html('Seleccione la Fecha Inicial del Ticket.');
				$("#req-FechaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
			}
			else if(!inputFechaIni.val().match(/^[0-9/]+$/)){
				inputFechaIni.addClass('error2');
				reqFechaIni.addClass('error2');
				$("#req-FechaIni").html("0-9, Solo se aceptan números y '/'.");
				$("#req-FechaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
			} else{
				inputFechaIni.removeClass('error2');
				reqFechaIni.removeClass('error2');
				$("#req-FechaIni").html("");
				$("#req-FechaIniImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
				if(inputFechaFin.val() == '') {
					inputFechaFin.addClass('error2');
					reqFechaFin.addClass('error2');
					$("#req-FechaFin").html("Seleccione la Fecha Final del Ticket.");
					$("#req-FechaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
					return false
				}
				else
					return true;
			}
		}
		else
			return false;
	}
	function validarFechaFin(){
		if($("[name = checkTicket]:checked").val() == 2){
			if(inputFechaFin.val() == ''){
				inputFechaFin.addClass('error2');
				reqFechaFin.addClass('error2');
				$("#req-FechaFin").html('Seleccione la Fecha Final del Ticket.');
				$("#req-FechaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
			}
			else if(!inputFechaFin.val().match(/^[0-9/]+$/)){
				inputFechaFin.addClass('error2');
				reqFechaFin.addClass('error2');
				$("#req-FechaFin").html("0-9, Solo se aceptan números y '/'.");
				$("#req-FechaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
			} else{
				inputFechaFin.removeClass('error2');
				reqFechaFin.removeClass('error2');
				$("#req-FechaFin").html("");
				$("#req-FechaFinImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
				if(inputFechaIni.val() == ''){
					inputFechaIni.addClass('error2');
					reqFechaIni.addClass('error2');
					$("#req-FechaIni").html("Seleccione la Fecha Inicial del Ticket.");
					$("#req-FechaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
					return false;
				}
				else
					return true;
			}
		}
		else
			return false;
	}
	$("#FormInicio").submit(function(){
		if($("[name=checkTicket]:checked").val() == 1){
			if(validarTicket() == true)
				Ticket();
			else
				return false;
			return false;
		} 
		else if($("[name = checkTicket]:checked").val() == 2) {
			if(validarFechaIni() & validarFechaFin()) 
				Fechas();
			else 
				return false;
		}	return false;
	});	
	inputTicket.blur(validarTicket);
	inputFechaIni.blur(validarFechaIni);
	inputFechaFin.blur(validarFechaFin);
	
	
	
	function Ticket(){
		$.ajax({
			type: "POST",
			beforeSend: function(){
				$("#message").html("");
			},
			data: "Seccion=2&Opcion=2&TicketID="+$('#edtTicket').val()+"",
			url: "ProcCatalConsumos.php",
			success: function(response){
				if(response == "error1")
					$("#message").html("<p class='error'>Selecione el tipo de consulta que desea realizar!</p>");
				else if(response == "error2")
					$("#message").html("<p class='error'>La seleccion de la consulta tiene que ser númerico!</p>");
				else if(response == "error3")
					$("#message").html("<p class='error'>Debe escribir un No. de Ticket!</p>");
				else if(response == "error4")
					$("#message").html("<p class='error'>El No. de Ticket debe ser númerico!</p>");
				else
					$("#Seccion2").html(response);	
			}
		})
	}	
	
	function Fechas(){
		$.ajax({
			type: "POST",
			beforesSend: function(){
				$("#message").html("");
			},
			data: "Seccion=2&Opcion=3&FechaIni="+$('#edtFechaIni').val()+"&FechaFin="+ $('#edtFechaFin').val()+"",
			url: "ProcCatalConsumos.php",
			success: function(response){
				if(response == "error1")
					$("#message").html("<b><p class='error'>Selecione que tipo de consulta desea realizar!</p></b>");
				else if(response == "error2")
					$("#message").html("<b><p class='error'>La seleccion de la consulta tiene que ser númerico!</p></b>");
				else if(response == "error5")
					$("#message").html("<b><p class='error'>Debe elegir una Fecha Inicial!</p></b>");
				else if(response == "error6")
					$("#message").html("<b><p class='error'>Debe elegir una Fecha Final!</p></b>");
				else if(response == "error7")
					$("#message").html("<b><p class='error'>La Fecha Inicial no puede ser Mayor que la Fecha Final!</p></b>");
				else
					$("#Seccion2").html(response);
			}
		});
	}	

});
	function HabilitarTicket(){
		$("#edtTicket").removeAttr('disabled');
		$("#edtFechaIni").attr('disabled', '-1');
		$("#edtFechaIni").removeClass("error2");
		$("#req-FechaIni").html("");
		$("#edtFechaIni").val("");
		$("#req-FechaIniImg").html("");
		$("#edtFechaFin").attr('disabled', '-1');
		$("#edtFechaFin").removeClass("error2");
		$("#req-FechaFin").html("");
		$("#req-FechaFinImg").html("");
		$("#edtFechaFin").val("");
	}
	function HabilitarFechas(){
		$("#edtFechaIni").removeAttr('disabled');
		$("#edtFechaFin").removeAttr('disabled');
		$("#edtTicket").attr('disabled', '-1');
		$("#edtTicket").removeClass("error2");
		$("#req-Ticket").html("");
		$("#req-TicketImg").html("");
		$("#edtTicket").val("");
	}
</script>
<table width="1020" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td align="right">
    
        <p>
         
         </td>
  </tr>
  <tr>
    <td id="title2" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td id="title3" align="center">
	
        <div id="Seccion1" align="center"></div>
        
    </td>
  </tr>
  <tr>
    <td id="title4" align="center"><div id="Search" onClick='$("#DivBusqueda").toggle("blind", 1000);'><img id="ImgSearch" src="images/expand.png"/> Búsqueda </div></td>
  </tr>
  <tr>
    <td id="title5" align="center">
		<div id="DivBusqueda" style="display:none"><?  ?>
        <form id="FormInicio" name="FormInicio" action= "" method="post">
        <table width="900" border="0" align="center">
            <tr>
              <td align="right">&nbsp;</td>
              <td align="left"><input type="radio" name="checkTicket" id="checkTicket1" value="1" onclick="HabilitarTicket()" />            <label>Búsqueda por No. Ticket</label></td>
              <td align="right">&nbsp;</td>
              <td align="left"><input type="radio" name="checkTicket" id="checkTicket2" value="2" onclick="HabilitarFechas()"/>            <label>Búsqueda entre Fechas</label></td>
            </tr>
            <tr>
              <td width="200" align="right">&nbsp;</td>
              <td width="450" align="left"><label>No. Ticket</label></td>
              <td width="200" align="right">&nbsp;</td>
              <td width="450" align="left"><label>Fecha Inicial</label></td>
            </tr>
            <tr>
              <td width="200" align="right"><span id="req-TicketImg" class="requisites error"></span></td>
              <td width="450" align="left"><input name="edtTicket" type="text" disabled="disabled" class="txt" id="edtTicket" value="" size="10" maxlength="10" /></td>
              <td align="right"><span id="req-FechaIniImg" class="requisites error"></span></td>
              <td align="left"><input class="txt" name="edtFechaIni" type="text" id="edtFechaIni" size="10" readonly="readonly" disabled="disabled"/></td>
            </tr>
            <tr>
              <td align="right">&nbsp;</td>
              <td align="left"><b><span id="req-Ticket" class="requisites error"></span></b></td>
              <td align="right">&nbsp;</td>
              <td align="left"><b><span id="req-FechaIni" class="requisites error"></span></b></td>
            </tr>
            <tr>
              <td align="right">&nbsp;</td>
              <td align="left">&nbsp;</td>
              <td align="right">&nbsp;</td>
              <td align="left"><label>Fecha Final</label></td>
            </tr>
            <tr>
              <td align="right">&nbsp;</td>
              <td align="left">&nbsp;</td>
              <td align="right"><span id="req-FechaFinImg" class="requisites error"></span></td>
              <td align="left"><input class="txt" name="edtFechaFin" type="text" id="edtFechaFin" size="10" readonly="readonly" disabled="disabled" /></td>
            </tr>
                <script type="text/javascript">//<![CDATA[
                var cal = Calendar.setup({
                    onSelect: function(cal) { cal.hide() },
                    min : 20100101,
                    animation : false,
                    showTime: true
                    });
                    cal.manageFields("edtFechaIni", "edtFechaIni", "%d/%m/%Y");
                    cal.manageFields("edtFechaFin", "edtFechaFin", "%d/%m/%Y");
                    
                    //]]>
                </script>
            <tr>
              <td align="right">&nbsp;</td>
              <td align="left">&nbsp;</td>
              <td align="right">&nbsp;</td>
              <td align="left"><b><span id="req-FechaFin" class="requisites error"></span></b></td>
            </tr>
            <tr>
              <td colspan="4" align="center"><input class="submit" type="submit" height="20" width="110" name="submit" id="submit" value="Consultar" title="Actualizar Datos de Consulta" /></td>
            </tr>
            <tr>
              <td colspan="4" align="center"><b><div id="message"></div></b></td>
            </tr>
        </table>
        </form>
      </div>
    </td>
  </tr>
  <tr>
  	<td>&nbsp;</td>
  </tr>
  <tr>
    <td align="center">
    	<div id="Seccion2"></div>
    </td>
  </tr>
</table>
<p>&nbsp;</p>
